View Issue Details

IDProjectCategoryView StatusLast Update
0002863PluginsNetBoxpublic2014-11-20 23:20
Reporterkolio2Assigned Tomichael.lukashov 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Platformx64OSWindowsOS Version8
Product Version3.0 
Target VersionFixed in Version3.0 
Summary0002863: при копировании файла на SFTP неправильно обновляется панель
Descriptionслева - ftp папка
справа - локальный диск

нажимаю F5 - файл копируется
но в списке не появляется
нажимаю в левой панели ctrl+r - папка перечитывается и файл появляется

потом беру еще 1 файл с локального диска - копирую на ftp
этот файл - тоже не появляется и тот, что копировал до этого тоже исчезачет

снова становлюсь на левую сторону, нажимаю ctrl+r и оба файла появляются
------------------------------------------------------------------------
после этого выходим на уровень выше в ftp панели
потом снова переходим в эту папку и снова файлы исчезли
нажимаю ctrl+r - оба файла появляются

снова выходим на уровень выше в ftp панели
потом снова переходим в эту папку и 1 файл из 2х этих появляется, но второго всё равно нет
нажимаю ctrl+r - последний файл появляется

снова выходим на уровень выше в ftp панели
потом снова переходим в эту папку и оба файла уже видны
Additional Informationтакое чувство как будто он вообще не запоминает ничего или где-то явно ошибка
TagsNo tags attached.

Activities

michael.lukashov

2014-11-12 23:03

developer   bugnote:0013230

Проверил Фар 3.0.4164 Netbox b357 - панели плагина обновляются после копирования, ничего описанного не наблюдаю

michael.lukashov

2014-11-16 14:46

developer   bugnote:0013239

Возможно, дело в этой настройке

 ╔════════════════ NetBox - Panel settings ════════════════╗
 ║ [x] Automatically refresh directory after operation ║
 ╟─────────────────────────────────────────────────────────╢
 ║ { Ok } [ Cancel ] ║
 ╚═════════════════════════════════════════════════════════╝

michael.lukashov

2014-11-16 14:59

developer   bugnote:0013240

Еще настройка "Cache visited remote directories" может влиять.

╔═══════════════ Directories - Edit session ════════════════╗
║ Session Environment Directories SFTP SCP/Shell FTP(S) ◄ ► ║
╟─────────────────────── Directories ───────────────────────╢
║ [ ] Remember last used directory ║
║ Remote directory: ║
║ /pub/softlib/ ↓ ║
╟──────────────── Directory reading options ────────────────╢
║ [ ] Cache visited remote directories ║
║ [ ] Cache directory changes ║
║ [x] Permanent cache ║
║ [x] Resolve symbolic links ║
╟───────────────────────────────────────────────────────────╢

kolio2

2014-11-16 16:23

reporter   bugnote:0013241

это на работе такая проблема и галочка Automatically refresh directory after operation помоему не стоит
но какая разница? я вручную обновляю категорию с помощью ctrl+r когда мне это действительно нужно - этого разве недостаточно? ведь в этом случае приходит свежее состояние категории

а если в этом случае он не запоминает - то толку от ctrl+r нет никакого

остальные настройки я не трогал (Directories - Edit session )

michael.lukashov

2014-11-17 21:40

developer   bugnote:0013248

Так каков итог? Указанные настройки влияют на то как обновляется панель?

michael.lukashov

2014-11-20 23:20

developer   bugnote:0013266

Ответа нет, баг закрываю

Issue History

Date Modified Username Field Change
2014-11-12 11:50 kolio2 New Issue
2014-11-12 13:20 2useven10 Category File System => _Common
2014-11-12 13:22 2useven10 Project Far Manager => Plugins
2014-11-12 13:22 2useven10 Category _Common => NetBox
2014-11-12 23:03 michael.lukashov Note Added: 0013230
2014-11-16 14:46 michael.lukashov Note Added: 0013239
2014-11-16 14:59 michael.lukashov Note Added: 0013240
2014-11-16 16:23 kolio2 Note Added: 0013241
2014-11-17 21:40 michael.lukashov Note Added: 0013248
2014-11-20 23:20 michael.lukashov Note Added: 0013266
2014-11-20 23:20 michael.lukashov Status new => closed
2014-11-20 23:20 michael.lukashov Assigned To => michael.lukashov
2014-11-20 23:20 michael.lukashov Resolution open => fixed
2014-11-20 23:20 michael.lukashov Fixed in Version => 3.0